<template>
    <MdDialogConfirm
            style="z-index: 100"
            :md-active="active"
            :md-title="$store.state.modals.confirm && $store.state.modals.confirm.title"
            :md-content="$store.state.modals.confirm && $store.state.modals.confirm.message"
            :md-confirm-text="$store.state.modals.confirm && $store.state.modals.confirm.okText"
            :md-cancel-text="$store.state.modals.confirm && $store.state.modals.confirm.cancelText"
            @md-confirm="confirm()"
            @md-cancel="cancel()"
    />
</template>
<script>
  import Vue from 'vue';
  import { MdDialogConfirm } from 'vue-material/dist/components'
  import jsLog from 'js-logger';

  const log = jsLog.get('modals');

  Vue.use(MdDialogConfirm);

  export default {
    computed: { active(){
        return !!this.$store.state.modals.confirm && !!this.$store.state.modals.confirm.message;
      }},
    methods: {
      async close(ok, logText){
        log.info(logText);
        const { resolve } = this.$store.state.modals.confirm;
        this.$store.dispatch('modalsClose');
        await this.$nextTick();
        resolve(ok);
      },
      confirm(){
        this.close(true, 'confirmed');
      },
      async cancel(){
        this.close(false, 'confirm cancelled');
      }
    }
  }
</script>
<style>

</style>
